<?php

namespace chatbro\chatbroapp\settings;


use \chatbro\chatbroapp\settings\CbroSettings;
use Iterator;

class CbroSettingsIterator implements Iterator
{
  private $keys;
  private $pos;

  public function __construct($keys)
  {
    $this->keys = $keys;
    $this->pos = 0;
  }

  public function rewind()
  {
    $this->pos = 0;
  }

  public function current()
  {
    return CbroSettings::get_setting($this->keys[$this->pos]);
  }

  public function key()
  {
    return $this->keys[$this->pos];
  }

  public function next()
  {
    ++$this->pos;
  }

  public function valid()
  {
    return isset($this->keys[$this->pos]);
  }
}